# Interface methods for submodule: TernaryGeneratorImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: TernaryGeneratorImageFilter
class TernaryGeneratorImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput1(self, image1) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: float) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: int) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: float) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: int) -> None:
		""""""
		...

	@overload
	def GetConstant1(self) -> float:
		""""""
		...

	@overload
	def GetConstant1(self) -> int:
		""""""
		...

	@overload
	def SetInput2(self, image2) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: float) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: int) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: float) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: int) -> None:
		""""""
		...

	@overload
	def GetConstant2(self) -> float:
		""""""
		...

	@overload
	def GetConstant2(self) -> int:
		""""""
		...

	@overload
	def SetInput3(self, image3) -> None:
		""""""
		...

	@overload
	def SetInput3(self, input3) -> None:
		""""""
		...

	@overload
	def SetInput3(self, input3: float) -> None:
		""""""
		...

	@overload
	def SetInput3(self, input3: int) -> None:
		""""""
		...

	@overload
	def SetConstant3(self, input3: float) -> None:
		""""""
		...

	@overload
	def SetConstant3(self, input3: int) -> None:
		""""""
		...

	@overload
	def GetConstant3(self) -> float:
		""""""
		...

	@overload
	def GetConstant3(self) -> int:
		""""""
		...

